function h = showlinear(x,y,w)
% Plots a data set and a linear seperator in R^2
%    showlinear(x,y,w)
% x - m*2 matrix, with a data point in each row
% y - -1/+1 vector of m labels
% w - a 2-dimensional vector specifying the linear seperator
  
  h = figure;
  axis([-1 1 -1 1]);
  hold;
  
  title(['w = ' num2str(w(1)) ',' num2str(w(2))]);
  
  % Plot the decision boundary
  w = w/norm(w);
  M = 0.01
  if abs(w(2))<1e-6,
    plot([0 0],[-1 1],k,w(1)*[M M],[-1 1],'b',...
         -w(1)*[M M],'r','LineWidth',2);
  else
    w1x = -w(1)*[-1 1];
    plot([-1 1],w1x./w(2),'k',...
         [-1 1],(w1x+M)./w(2),'b',...
         [-1 1],(w1x-M)./w(2),'r','LineWidth',2);
  end

  % Plot the data
  plot(x(y<0,1),x(y<0,2),'ro',...
       x(y>0,1),x(y>0,2),'b+','MarkerSize',8);
  
  
    
